#2276 lualatexiniconfig.tex is outdated

fixed
None
2014-08-03
2013-07-11
U_Fischer
No

lualatexiniconfig.tex in the package miktex-luatex-base is not up-to-date. It doesn't enable the extra primitives 'umath'.

This means that a document loading unicode-math

  \documentclass{scrartcl}
  \usepackage{unicode-math}

  \begin{document}
  blub $a$
  \end{document}

will give errors like this (as \Umathcode is not defined).

  ! Undefined control sequence.
   \um_set_mathcode:nnn #1#2#3 -> \Umathcode

An up-to-date lualatexiniconfig.tex can be found in the latexconfig-package of texlive http://mirrors.ctan.org/systems/texlive/tlnet/archive/latexconfig.tar.xz. The lualatex format must be recreated afterwards.

(N.B.: as the current luaotfload version has some problems one some systems it could be that the minimal example doesn't demonstrates the problem before the next update of luaotfload.)

Ulrike Fischer

Discussion

  • LaRiFaRi
    LaRiFaRi
    2013-07-22

    Same problem here. Would be great to see the updated miktex-luatex-base soon, as unicode-math doesn't work at all. Thank you very much.

     
    • status: open --> fixed
    • assigned_to: Christian Schenk
     
  • The next MiKTeX update will install the new lualatexiniconfig.tex

     
    • LaRiFaRi
      LaRiFaRi
      2013-07-29

      Thank you very much.

       
    • LaRiFaRi
      LaRiFaRi
      2013-07-30

      Hi, I got the update today but still get the same error. Do I have to do something besides of Maintenace (Admin) - Update (Admin)?